PUT/rateshop/{rateshopid}

Update Rateshop

Implementation Notes

This API call enables the user to update the configuration details of an existing RateShop associated with a rateshop ID.
PUT/rateshop/{rateshopid}

Parameter Details

NameInTypeRequiredDescription
rateshopidpathinteger(int32)Requirednone
bodybodyOptionalnone
» rateshopnamebodystringOptionalnone
» losbodyintegerOptionalnone
» occupancybodyintegerOptionalnone
» currencybodystringOptionalnone
» currenciesbody[string]Optionalnone
» fetchtypebodyintegerOptionalnone
» horizonbodyintegerOptionalnone
» hotelcodesbodyOptionalnone
» compsetsbodyOptionalnone
»» hotelcodebodynumberOptionalnone
»» competitorhotelcodesbodyOptionalnone
» sourcesbody[integer]Optionalnone
» horizonexpressionbodystringOptionalnone
» posbodynumberOptionalnone
» horizonrangebodystringOptionalnone
» directsourcebodynumberOptionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X PUT /rateshop/{rateshopid} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "rateshopid": 0,
  "rateshopname": "string",
  "los": 0,
  "occupancy": 0,
  "currency": "string",
  "currencies": [
    "string"
  ],
  "fetchtype": 0,
  "horizon": 0,
  "hotelcodes": [
    0
  ],
  "compsets": [
    {
      "hotelcode": 0,
      "competitorhotelcodes": [
        0
      ]
    }
  ],
  "sources": [
    0
  ],
  "horizonexpression": "string",
  "pos": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.